# Module: Circle

### Requires

- module:WPGMZA.MapObject

### Classes

Circle
  Represents a generic circle. Please do not instantiate this object directly, use createInstance
Circle
  Represents a generic circle. Please do not instantiate this object directly, use createInstance

### Methods

#### (inner) createInstance(options)

Creates an instance of a circle, please always use this function rather than calling the constructor directly

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | object | Options for the object (optional)

Source:
  - circle.js, line 30

#### (inner) createInstance(options)

Creates an instance of a circle, please always use this function rather than calling the constructor directly

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | object | Options for the object (optional)

Source:
  - wp-google-maps.combined.js, line 1128

#### (inner) getCenter() → {WPGMZA.LatLng}

Source:
  - wp-google-maps.combined.js, line 1145

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getCenter() → {WPGMZA.LatLng}

Source:
  - circle.js, line 47

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getMap() → {WPGMZA.Map}

Returns the map that this circle is being displayed on

Source:
  - circle.js, line 87

##### Returns:

Type
  WPGMZA.Map

#### (inner) getMap() → {WPGMZA.Map}

Returns the map that this circle is being displayed on

Source:
  - wp-google-maps.combined.js, line 1185

##### Returns:

Type
  WPGMZA.Map

#### (inner) getRadius() → {WPGMZA.LatLng}

Returns the circles radius in kilometers

Source:
  - wp-google-maps.combined.js, line 1165

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getRadius() → {WPGMZA.LatLng}

Returns the circles radius in kilometers

Source:
  - circle.js, line 67

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) setCenter(latLng) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`latLng` | object | WPGMZA.LatLng | either a literal or as a WPGMZA.LatLng

Source:
  - wp-google-maps.combined.js, line 1154

##### Returns:

Type
  void

#### (inner) setCenter(latLng) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`latLng` | object | WPGMZA.LatLng | either a literal or as a WPGMZA.LatLng

Source:
  - circle.js, line 56

##### Returns:

Type
  void

#### (inner) setMap(The) → {void}

Puts this circle on a map

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | WPGMZA.Map | target map

Source:
  - circle.js, line 97

##### Returns:

Type
  void

#### (inner) setMap(The) → {void}

Puts this circle on a map

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | WPGMZA.Map | target map

Source:
  - wp-google-maps.combined.js, line 1195

##### Returns:

Type
  void

#### (inner) setRadius(The) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | number | radius

Source:
  - circle.js, line 77

##### Returns:

Type
  void

#### (inner) setRadius(The) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | number | radius

Source:
  - wp-google-maps.combined.js, line 1175

##### Returns:

Type
  void

### Requires

- module:WPGMZA.MapObject

### Classes

Circle
  Represents a generic circle. Please do not instantiate this object directly, use createInstance
Circle
  Represents a generic circle. Please do not instantiate this object directly, use createInstance

### Methods

#### (inner) createInstance(options)

Creates an instance of a circle, please always use this function rather than calling the constructor directly

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | object | Options for the object (optional)

Source:
  - circle.js, line 30

#### (inner) createInstance(options)

Creates an instance of a circle, please always use this function rather than calling the constructor directly

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | object | Options for the object (optional)

Source:
  - wp-google-maps.combined.js, line 1128

#### (inner) getCenter() → {WPGMZA.LatLng}

Source:
  - wp-google-maps.combined.js, line 1145

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getCenter() → {WPGMZA.LatLng}

Source:
  - circle.js, line 47

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getMap() → {WPGMZA.Map}

Returns the map that this circle is being displayed on

Source:
  - circle.js, line 87

##### Returns:

Type
  WPGMZA.Map

#### (inner) getMap() → {WPGMZA.Map}

Returns the map that this circle is being displayed on

Source:
  - wp-google-maps.combined.js, line 1185

##### Returns:

Type
  WPGMZA.Map

#### (inner) getRadius() → {WPGMZA.LatLng}

Returns the circles radius in kilometers

Source:
  - wp-google-maps.combined.js, line 1165

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) getRadius() → {WPGMZA.LatLng}

Returns the circles radius in kilometers

Source:
  - circle.js, line 67

##### Returns:

Type
  WPGMZA.LatLng

#### (inner) setCenter(latLng) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`latLng` | object | WPGMZA.LatLng | either a literal or as a WPGMZA.LatLng

Source:
  - wp-google-maps.combined.js, line 1154

##### Returns:

Type
  void

#### (inner) setCenter(latLng) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`latLng` | object | WPGMZA.LatLng | either a literal or as a WPGMZA.LatLng

Source:
  - circle.js, line 56

##### Returns:

Type
  void

#### (inner) setMap(The) → {void}

Puts this circle on a map

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | WPGMZA.Map | target map

Source:
  - circle.js, line 97

##### Returns:

Type
  void

#### (inner) setMap(The) → {void}

Puts this circle on a map

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | WPGMZA.Map | target map

Source:
  - wp-google-maps.combined.js, line 1195

##### Returns:

Type
  void

#### (inner) setRadius(The) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | number | radius

Source:
  - circle.js, line 77

##### Returns:

Type
  void

#### (inner) setRadius(The) → {void}

##### Parameters:

Name | Type | Description
--- | --- | ---
`The` | number | radius

Source:
  - wp-google-maps.combined.js, line 1175

##### Returns:

Type
  void